<?php

return [
/*
* Provider .
*/
'provider'  => 'lavalite',

/*
* Package .
*/
'package'   => 'career',

/*
* Modules .
*/
'modules'   => ['job', 
'resume', 
'category'],

'job' => [
                    'Name'          => 'Job',
                    'name'          => 'job',
                    'table'         => 'jobs',
                    'model'         => 'Lavalite\Career\Models\Job',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'id',  'title',  'slug',  'job_type',  'region',  'email',  'details',  'location',  'data_posted',  'salary',  'status',  'image',  'upload_folder'],
                    'listfields'        => ['id', 'id',  'title',  'slug',  'job_type',  'region',  'email',  'details',  'location',  'data_posted',  'salary',  'status',  'image',  'upload_folder'],
                    'translatable'      => ['id',  'title',  'slug',  'job_type',  'region',  'email',  'details',  'location',  'data_posted',  'salary',  'status',  'image',  'upload_folder'],

                    'upload-folder'     => '/uploads/career/job',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'resume' => [
                    'Name'          => 'Resume',
                    'name'          => 'resume',
                    'table'         => 'resumes',
                    'model'         => 'Lavalite\Career\Models\Resume',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'id',  'job_id',  'name',  'title',  'slug',  'video',  'email',  'exp_date',  'category',  'sub_category',  'location',  'skills',  'content',  'socialmedias',  'experience',  'education',  'photo',  'status',  'upload_folder'],
                    'listfields'        => ['id', 'id',  'job_id',  'name',  'title',  'slug',  'video',  'email',  'exp_date',  'category',  'sub_category',  'location',  'skills',  'content',  'socialmedias',  'experience',  'education',  'photo',  'status',  'upload_folder'],
                    'translatable'      => ['id',  'job_id',  'name',  'title',  'slug',  'video',  'email',  'exp_date',  'category',  'sub_category',  'location',  'skills',  'content',  'socialmedias',  'experience',  'education',  'photo',  'status',  'upload_folder'],

                    'upload-folder'     => '/uploads/career/resume',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'category' => [
                    'Name'          => 'Category',
                    'name'          => 'category',
                    'table'         => 'categories',
                    'model'         => 'Lavalite\Career\Models\Category',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'id',  'name',  'slug',  'description'],
                    'listfields'        => ['id', 'id',  'name',  'slug',  'description'],
                    'translatable'      => ['id',  'name',  'slug',  'description'],

                    'upload-folder'     => '/uploads/career/category',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
];
