<?php

use Illuminate\Database\Migrations\Migration;

class CreateJobsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: jobs
         */
        Schema::create('jobs', function ($table) {
            $table->increments('id');
            $table->string('title', 50)->nullable();
            $table->enum('job_type', ['Freelance','Full Time','Internship','Part Time','Temporary'])->nullable();
            $table->string('region', 50)->nullable();
            $table->string('email', 50)->nullable();
            $table->text('details')->nullable();
            $table->string('location', 100)->nullable();
            $table->date('data_posted')->nullable();
            $table->float('salary')->nullable();
            $table->enum('status', ['New','Approved','Rejected','Closed',])->nullable();
            $table->text('image')->nullable();
            $table->text('upload_folder')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('jobs');
    }
}
