<?php

use Illuminate\Database\Migrations\Migration;

class CreateResumesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: resumes
         */
        Schema::create('resumes', function ($table) {
            $table->increments('id');
            $table->integer('job_id')->nullable();
            $table->string('name', 50)->nullable();
            $table->string('title', 255)->nullable();
            $table->string('video', 255)->nullable();
            $table->string('email', 100)->nullable();
            $table->date('exp_date')->nullable();
            $table->string('category', 255)->nullable();
            $table->string('sub_category', 255)->nullable();
            $table->string('location', 100)->nullable();
            $table->string('skills', 100)->nullable();
            $table->text('content')->nullable();
            $table->text('socialmedias')->nullable();
            $table->text('experience')->nullable();
            $table->text('education')->nullable();
            $table->text('photo')->nullable();
            $table->enum('status', ['New','Approved','Rejected',])->nullable();
            $table->string('upload_folder', 255)->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('resumes');
    }
}
