<?php

namespace Lavalite\Career\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Lavalite\Career\Interfaces\CategoryRepositoryInterface;

class CategoryPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Lavalite\Category\Interfaces\CategoryRepositoryInterface $category
     *
     * @return type
     */
    public function __construct(CategoryRepositoryInterface $category)
    {
        $this->model = $category;
        parent::__construct();
    }

    /**
     * Show category's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $categories = $this->model->all();

        return $this->theme->of('career::public.category.index', compact('categories'))->render();
    }

    /**
     * Show category.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $category = $this->model->findBySlug($slug);

        return $this->theme->of('career::public.category.show', compact('category'))->render();
    }
}
