<?php

namespace Lavalite\Career\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Lavalite\Career\Interfaces\ResumeRepositoryInterface;

class ResumePublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Lavalite\Resume\Interfaces\ResumeRepositoryInterface $resume
     *
     * @return type
     */
    public function __construct(ResumeRepositoryInterface $resume)
    {
        $this->model = $resume;
        parent::__construct();
    }

    /**
     * Show resume's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $resumes = $this->model->all();

        return $this->theme->of('career::public.resume.index', compact('resumes'))->render();
    }

    /**
     * Show resume.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $resume = $this->model->findBySlug($slug);

        return $this->theme->of('career::public.resume.show', compact('resume'))->render();
    }
}
