<?php

namespace Lavalite\Career\Http\Requests;

use App\Http\Requests\Request;
use User;

class ResumeUserRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(\Illuminate\Http\Request $request)
    {
        // Determine if the user is authorized to do  the action,
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(\Illuminate\Http\Request $request)
    {
        // validation rule for create request.
        if ($request->isMethod('POST')) {
            return [
                'job_id'              => 'required',
                'name'                => 'required',
                'title'               => 'required',
                'video'               => 'required',
                'email'               => 'required',
                'exp_date'            => 'required',
                'category'            => 'required',
                'sub_category'        => 'required',
                'location'            => 'required',
                'skills'              => 'required',
                'content'             => 'required',
                'socialmedias'        => 'required',
                'experience'          => 'required',
                'education'           => 'required',
                'photo'               => 'required',
                'status'              => 'required',
            ];
        }
        // Validation rule for update request.
        if ($request->isMethod('PUT') || $request->isMethod('PATCH')) {
            return [
                'job_id'              => 'required',
                'name'                => 'required',
                'title'               => 'required',
                'video'               => 'required',
                'email'               => 'required',
                'exp_date'            => 'required',
                'category'            => 'required',
                'sub_category'        => 'required',
                'location'            => 'required',
                'skills'              => 'required',
                'content'             => 'required',
                'socialmedias'        => 'required',
                'experience'          => 'required',
                'education'           => 'required',
                'photo'               => 'required',
                'status'              => 'required',
            ];
        }

        // Default validation rule.
        return [

        ];
    }
}
